<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG/Parameter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG.Parameter</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../ASG.html" >ASG</a>
</div><div class="class-name">class Parameter

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/ASG.py.html" target="detail">../Synopsis/ASG.py</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Parameter" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line468" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Parameter-inheritance" src="Parameter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Parameter-inheritance_map" />
<map name="Parameter-inheritance_map"></map>
 <div class="doc">Function Parameter</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Private Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Parameter.html#__cmp__" >__cmp__</a></span>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Parameter.__cmp__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line480" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="premodifier">premodifier</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line472" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="type">type</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line473" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="postmodifier">postmodifier</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line474" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="name">name</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line475" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="value">value</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line476" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">premod</span>, <span class="variable">type</span>, <span class="variable">postmod</span>, <span class="variable">name</span> = <span class="value">''</span>, <span class="variable">value</span> = <span class="value">''</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Parameter.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line471" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Parameter.accept" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line478" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__str__">__str__</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Parameter.__str__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line484" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Private Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__cmp__">__cmp__</a>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Parameter.__cmp__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line480" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Comparison operator</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:54 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
